Bug 830664 - Review Request: Add64 - an additive synthesizer for JACK
Review Request: Add64 - an additive synthesizer for JACK
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FedoraAudio
  Show dependency treegraph
 
Reported: 2012-06-11 03:24 EDT by Brendan Jones
Modified: 2012-08-13 20:51 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-13 20:51:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lemenkov: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Brendan Jones 2012-06-11 03:24:41 EDT
Add64 is an additive synthesizer for jack developed on the Qt platform.

http://bsjones.fedorapeople.org/Add64-1.2.2-1.fc17.src.rpm
http://bsjones.fedorapeople.org/Add64.spec

fedora17:~ $ rpmlint ~/rpmbuild/SRPMS/Add64-1.2.2-1.fc17.src.rpm ~/rpmbuild/RPMS/x86_64/Add64-debuginfo-1.2.2-1.fc17.x86_64.rpm  ~/rpmbuild/RPMS/x86_64/Add64-1.2.2-1.fc17.x86_64.rpm 
Add64.x86_64: W: no-manual-page-for-binary Add64
3 packages and 0 specfiles checked; 0 errors, 1 warnings.
Comment 1 Peter Lemenkov 2012-07-16 04:12:04 EDT
I'll review it.
Comment 2 Peter Lemenkov 2012-07-16 04:36:03 EDT
Koji scratchbuild for Rawhide failed due to the missing "BuildRequires: desktop-file-utils"):

* http://koji.fedoraproject.org/koji/taskinfo?taskID=4242920

I added this line and it builds fine now:

* http://koji.fedoraproject.org/koji/taskinfo?taskID=4242930

So please add this BuildRequires.

REVIEW:

Legend: + = PASSED, - = FAILED, 0 = Not Applicable

+ rpmlint is silent

work ~/Desktop: rpmlint Add64-*
Add64.x86_64: W: no-manual-page-for-binary Add64
3 packages and 0 specfiles checked; 0 errors, 1 warnings.
work ~/Desktop: 

+ The package is named according to the  Package Naming Guidelines. Well, I *personally* don't like Capitalized Name, but it seems how upstream names it.
+ The spec file name matches the base package %{name}, in the format %{name}.spec.
+ The package meets the Packaging Guidelines.
+ The package is licensed with a Fedora approved license and meets the Licensing Guidelines (strict GPLv3 as stated in README where upstream refers to the GPLv3 file - http://www.gnu.org/licenses/gpl.html ).
+ The License field in the package spec file matches the actual license.
+ The file, containing the text of the license(s) for the package, is included in %doc.
+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The sources used to build the package, match the upstream source, as provided in the spec URL.

sulaco ~/rpmbuild/SOURCES: sha256sum Add64-1.2.2.tar.bz2*
d3f8a691711a9a3d47b1baeef0dec413a0d94642bd89b3e9193c31121c5654e5  Add64-1.2.2.tar.bz2
d3f8a691711a9a3d47b1baeef0dec413a0d94642bd89b3e9193c31121c5654e5  Add64-1.2.2.tar.bz2.1
sulaco ~/rpmbuild/SOURCES: 

+ The package successfully compiles and builds into binary rpms on at least one primary architecture. See koji link above.

- Not all build dependencies are listed in BuildRequires. See my note above.

0 No need to handle locales.
0 No shared library files in some of the dynamic linker's default paths.
+ The package does NOT bundle copies of system libraries.
0 The package is not designed to be relocatable.
+ The package owns all directories that it creates.
+ The package does not list a file more than once in the spec file's %files listings.
+ Permissions on files are set properly.
0 The package DOESN'T have a %clean section, so it won't build cleanly on systems with old rpm (EL-4 and EL-5, not sure about EL-6). Beware.
+ The package consistently uses macros.
+ The package contains code, or permissible content.
0 No extremely large documentation files.
+ Anything, the package includes as %doc, does not affect the runtime of the application.
0 No C/C++ header files.
0 No static libraries.
0 No pkgconfig(.pc) files.
0 The package doesn't contain library files without a suffix (e.g. libfoo.so) in some of the dynamic linker's default paths.
0 No devel sub-package.
+ The package does NOT contain any .la libtool archives.
+ The package includes a %{name}.desktop file, and this file is properly installed with desktop-file-install in the %install section.
+ The package does not own files or directories already owned by other packages.
0 At the beginning of %install, the package  does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) so it won't build cleanly on systems with old rpm (EL-4 and EL-5, not sure about EL-6). Beware.
+ All filenames in rpm packages are valid UTF-8.

Please add missing buildrequires which is easy to fix. This package is

APPROVED.
Comment 3 Brendan Jones 2012-07-17 11:15:12 EDT
Thanks for the review! 

New Package SCM Request
=======================
Package Name: Add64
Short Description: an additive synthesizer for JACK
Owners: bsjones
Branches: f16 f17
InitialCC:
Comment 4 Brendan Jones 2012-07-17 12:29:02 EDT
Peter, its come to my attention that there is a manual for this software - do you see any issue with me including this in a docs subpackage?

http://sourceforge.net/projects/add64/files/
Comment 5 Peter Lemenkov 2012-07-17 12:40:57 EDT
(In reply to comment #4)
> Peter, its come to my attention that there is a manual for this software -
> do you see any issue with me including this in a docs subpackage?
> 
> http://sourceforge.net/projects/add64/files/

No, I don't have any objections, but you have to adjust License tag accordingly (any of the content/documentation licenses or "Redistributable without modifications"). I advise you to consult with the author regarding it.

* http://fedoraproject.org/wiki/Licensing#Documentation_Licenses
* http://fedoraproject.org/wiki/Licensing#Content_Licenses
Comment 6 Gwyn Ciesla 2012-07-17 23:20:30 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2012-07-26 01:28:16 EDT
Add64-1.2.2-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/Add64-1.2.2-2.fc17
Comment 8 Fedora Update System 2012-07-26 18:26:48 EDT
Add64-1.2.2-2.fc17 has been pushed to the Fedora 17 testing repository.
Comment 9 Fedora Update System 2012-08-13 20:51:23 EDT
Add64-1.2.2-2.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.